cette manipulation qui modifie l'intégrité du binaire, est à faire en ayant pleinement conscience que cela va à l'encontre de toutes notions de sécurité..

Préalablement il faut installer un patch dans Firefox

Téléchargement du Patch Firefox (archive ZIP) à la fin de cette article

1/ Une fois l'extraction réalisé, le patch est composé de deux fichiers

  • config.js
  • config-pref.js

Note: Vous pouvez ouvrir les fichiers JS avec le bloc-notes pour vérifier le contenu du code

2/ Avec l'explorateur de Windows, naviguez vers ce répertoire:

C:\Program Files (x86)\Mozilla Firefox\defaults\pref

3/ Copier/Coller le fichier config-pref.js dans ce répertoire

4/ Naviguez maintenant vers le répertoire:

C:\Program Files (x86)\Mozilla Firefox

Copier / Coller le fichier config.js dans ce répertoire

5/ À présent ouvrez about:config


6/ Si ça n'a pas été déjà fait depuis Firefox 43.0, faites un double clic sur la clé suivante afin qu'elle puissent être désactivées (false) au lieu de (true)

  • xpinstall.signatures.required

Optionnel: passer c'est deux clés à false dans le cas ou la première modification ne fonctionnerais pas.

  • xpinstall.whitelist.required
  • services.sync.prefs.sync.xpinstall.whitelist.required

Attention, si vous passez xpinstall.whitelist.required à false, vous ne serez plus prévenu lorsque les sites essaient d’installer des modules complémentaires, ce pose alors un vrai problème de sécurité.

Redémarrer Firefox

Vous devez à présent pouvoir installer n'importe quel module d'extension non signé par Mozilla

Bonus : En téléchargement une nouvelle version de CoolPreviews.

CoolPreviews2 version que j'ai traduite en Français et qui fonctionne sur Firefox 48.0 et +

Je vous invite à consulter le tuto suivant pour modifier une extension pour la rendre compatible avec Firefox 48.0 et +

Comment modifier un module d'extension pour le faire fonctionner sur toutes les versions Firefox

Pour que l'extension modifiée puisse fonctionner il faut préalablement installer le Patch Firefox